#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_with	tests	# unit tests (running fails?)

Summary:	Flexible test runner with layer support
Summary(pl.UTF-8):	Elastyczne uruchamianie testów z obsługą warstw
Name:		python3-zope.testrunner
Version:	7.2
Release:	1
License:	ZPL v2.1
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/zope.testrunner/
Source0:	https://files.pythonhosted.org/packages/source/z/zope.testrunner/zope_testrunner-%{version}.tar.gz
# Source0-md5:	9e41c200a79a18e33a631a2b5cf7c678
URL:		https://www.zope.org/
BuildRequires:	python3 >= 1:3.9
BuildRequires:	python3-devel >= 1:3.9
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-zope.exceptions
BuildRequires:	python3-zope.interface
BuildRequires:	python3-zope.testing
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	python3-sphinxcontrib-programoutput
BuildRequires:	python3-zope.exceptions
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.9
Requires:	python3-zope-base
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides a flexible test runner with layer support.

%description -l pl.UTF-8
Ten pakiet zapewnia elastyczne uruchamianie testów z obsługą warstw.

%package examples
Summary:	Example tests for zope.testrunner
Summary(pl.UTF-8):	Przykładowe testy dla szkieletu zope.testrunner
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}

%description examples
Example tests for zope.testrunner.

%description examples -l pl.UTF-8
Przykładowe testy dla szkieletu zope.testrunner.

%package apidocs
Summary:	API documentation for Python zope.testrunner module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona zope.testrunner
Group:		Documentation

%description apidocs
API documentation for Python zope.testrunner module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona zope.testrunner.

%prep
%setup -q -n zope_testrunner-%{version}

%build
%py3_build

%if %{with tests}
PYTHONPATH=$(pwd)/src \
%{__python3} -m zope.testrunner --test-path=src
%endif

%if %{with doc}
PYTHONPATH=$(pwd)/src \
sphinx-build-3 -b html docs docs/_build/html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%{__rm} $RPM_BUILD_ROOT%{py3_sitescriptdir}/zope/testrunner/tests/*.{py,rst}
%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/zope/testrunner/tests/__pycache__
%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/zope/testrunner/tests/logsupport
%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/zope/testrunner/tests/testrunner-ex*/__pycache__
%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/zope/testrunner/tests/testrunner-ex*/*/__pycache__
%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/zope/testrunner/tests/testrunner-ex*/*/*/__pycache__

%{__mv} $RPM_BUILD_ROOT%{_bindir}/zope-testrunner{,-3}
ln -sf zope-testrunner-3 $RPM_BUILD_ROOT%{_bindir}/zope-testrunner

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.rst COPYRIGHT.rst LICENSE.md README.rst
%attr(755,root,root) %{_bindir}/zope-testrunner
%attr(755,root,root) %{_bindir}/zope-testrunner-3
%dir %{py3_sitescriptdir}/zope/testrunner
%{py3_sitescriptdir}/zope/testrunner/*.py
%{py3_sitescriptdir}/zope/testrunner/__pycache__
%{py3_sitescriptdir}/zope.testrunner-%{version}-py*.egg-info
%{py3_sitescriptdir}/zope.testrunner-%{version}-py*-nspkg.pth

%files examples
%defattr(644,root,root,755)
%dir %{py3_sitescriptdir}/zope/testrunner/tests
%{py3_sitescriptdir}/zope/testrunner/tests/testrunner-ex*

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_modules,_static,*.html,*.js}
%endif
%changelog
* Mon Apr 21 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-zope.testrunner.git;a=log;h=master

* Mon Apr 21 2025 Jakub Bogusz <qboosh@pld-linux.org> 5c7c2d4
- python-zope.testrunner.spec updated to 7.2 for python 3.9+

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 512237f
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> b0ef209
- python 3.13 rebuild

* Sun Sep 24 2023 Jakub Bogusz <qboosh@pld-linux.org> 9c2ec49
- updated to 5.6

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 5957751
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> cce8e42
- rebuild with python 3.10

* Tue Feb 22 2022 Jakub Bogusz <qboosh@pld-linux.org> aff33c3
- updated to 5.4.0

* Tue Mar 09 2021 Jan Rękorajski <baggins@pld-linux.org> c8cf05a
- noarch package
- rel 4

* Sat Mar 06 2021 Jan Palus <atler@pld-linux.org> 07aa6b4
- BR: python3-zope.exceptions for doc

* Sat Mar 06 2021 Jan Palus <atler@pld-linux.org> de01fc2
- disable debug packages; rel 3

* Tue Dec 31 2019 Jakub Bogusz <qboosh@pld-linux.org> 6516a60
- typo, release 2

* Sun Dec 29 2019 Jakub Bogusz <qboosh@pld-linux.org> 62ca82b
- new

